Get the stories saved in a single Instagram highlight by highlight ID (from the User Highlights endpoint) or highlight URL. Returns the highlight's title and cover plus each story's media URLs, post date, link stickers, mentions, tagged users, location, and audio.
curl "https://apidirect.io/v1/instagram/highlight/stories?highlight_id=17987606483520330" \
-H "X-API-Key: YOUR_API_KEY"
{
"highlight": {
"highlight_id": "17987606483520330",
"title": "Football 🏈",
"media_count": 4,
"cover_url": "https://scontent.cdninstagram.com/v/t51.82787-15/cover.jpg",
"created_at": "2023-10-24 03:48:13",
"created_at_timestamp": 1698114493,
"updated_at": "2023-10-24 03:51:23",
"updated_at_timestamp": 1698114683,
"is_pinned": false,
"url": "https://instagram.com/stories/highlights/17987606483520330/",
"author": "mrbeast",
"author_id": "2278169415"
},
"stories": [
{
"title": "@mrbeast on Instagram",
"url": "https://instagram.com/stories/mrbeast/3219347044383400902/",
"date": "2023-10-22 17:34:53",
"date_timestamp": 1697996093,
"expires_at": "",
"expires_at_timestamp": null,
"author": "mrbeast",
"author_id": "2278169415",
"author_name": "MrBeast",
"author_verified": true,
"source": "Instagram",
"domain": "instagram.com",
"snippet": "",
"is_video": false,
"media_type": "story",
"media_id": "3219347044383400902",
"thumbnail_url": "https://scontent.cdninstagram.com/v/t51.82787-15/story.jpg",
"video_url": "",
"video_duration": null,
"width": 1284,
"height": 2282,
"location": null,
"tagged_users": [],
"mentions": [
"buccaneers"
],
"links": [],
"audio": null,
"coauthors": [],
"is_paid_partnership": false,
"ai_label": {"label": null, "detection_method": "NONE"}
}
],
"count": 4
}